package com.jisco.dynamicweight.dynamicworkupdata.dto;

import java.math.BigDecimal;

public class ReturnedDustDto {

    private String stationCode;
    private String stationName;
    private String materialCode;
    private String materialName;
    private BigDecimal weight;
    private String recieverCode;
    private String recieverName;
    private String recieverType;

    public String getRecieverType() {
        return recieverType;
    }

    public void setRecieverType(String recieverType) {
        this.recieverType = recieverType;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public BigDecimal getWeight() {
        return weight;
    }

    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    public String getRecieverCode() {
        return recieverCode;
    }

    public void setRecieverCode(String recieverCode) {
        this.recieverCode = recieverCode;
    }

    public String getRecieverName() {
        return recieverName;
    }

    public void setRecieverName(String recieverName) {
        this.recieverName = recieverName;
    }

    @Override
    public String toString() {
        return "ReturnedDustDto{" +
                "stationCode='" + stationCode + '\'' +
                ", stationName='" + stationName + '\'' +
                ", materialCode='" + materialCode + '\'' +
                ", materialName='" + materialName + '\'' +
                ", weight=" + weight +
                ", recieverCode='" + recieverCode + '\'' +
                ", recieverName='" + recieverName + '\'' +
                ", recieverType='" + recieverType + '\'' +
                '}';
    }
}
